Package org.eclipse.e4.ui.workbench

# Interface UIEvents.Item

Enclosing class:
  UIEvents

public static interface UIEvents.Item

Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ENABLED`
`static final String`
`SELECTED`
`static final String`
`TOPIC`
Deprecated.
`static final String`
`TOPIC_ALL`
`static final String`
`TOPIC_ENABLED`
`static final String`
`TOPIC_SELECTED`
`static final String`
`TOPIC_TYPE`
`static final String`
`TYPE`

## Field Details

### TOPIC

@Deprecated static final String TOPIC
Deprecated.

See Also:
  - Constant Field Values

### TOPIC_ALL

static final String TOPIC_ALL

See Also:
  - Constant Field Values

### TOPIC_ENABLED

static final String TOPIC_ENABLED

See Also:
  - Constant Field Values

### TOPIC_SELECTED

static final String TOPIC_SELECTED

See Also:
  - Constant Field Values

### TOPIC_TYPE

static final String TOPIC_TYPE

See Also:
  - Constant Field Values

### ENABLED

static final String ENABLED

See Also:
  - Constant Field Values

### SELECTED

static final String SELECTED

See Also:
  - Constant Field Values

### TYPE

static final String TYPE

See Also:
  - Constant Field Values